import React, { HTMLProps, ButtonHTMLAttributes } from 'react';
import { Omit } from '../../utils';
export interface HtmlButtonProps extends Omit<HTMLProps<HTMLButtonElement>, 'ref' | 'as'> {
    as?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
    /**
     * HTML Button type (button, submit, reset)
     * @default button
     */
    type?: ButtonHTMLAttributes<HTMLButtonElement>['type'];
    'data-testid'?: string;
}
export declare const HtmlButton: import("styled-components").StyledComponent<({ type, ...passProps }: HtmlButtonProps) => JSX.Element, any, {}, never>;
